﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI.Adapters;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public class StandardPickerAdapter : ControlAdapter
{
    protected override void OnLoad(EventArgs e)
    {
        RadDatePicker picker = this.Control as RadDatePicker;
        if (picker != null)
        {
            picker.MinDate = new DateTime(1900, 1, 1);
            picker.Calendar.FirstDayOfWeek = FirstDayOfWeek.Monday;
            picker.Calendar.ShowRowHeaders = false;
        }

        base.OnLoad(e);
    }
}